textures/nintendo-land/forcefeild
{
	surfaceparm nolightmap
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm slick
}

textures/nintendo-land/sky_mario
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm sky
	{
		map textures/nintendo-land/blue.jpg
	}
}

textures/nintendo-land/sky_oot
{
	q3map_globaltexture
	surfaceparm noimpact
	q3map_lightsubdivide 256
	q3map_surfacelight 400
	surfaceparm nomarks
	surfaceparm sky
	{
		map textures/nintendo-land/sky.jpg
	}
}

textures/nintendo-land/ladder
{
	surfaceparm ladder
	surfaceparm trans
	{
		map textures/nintendo-land/ladder.tga
		blendfunc blend
	}
}

textures/nintendo-land/cage
{
	surfaceparm trans
	{
		map textures/nintendo-land/cage.tga
		blendfunc blend
	}
}


textures/nintendo-land/vines1
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm ladder
	surfaceparm trans
	{
		map textures/nintendo-land/vines1.tga
		blendfunc blend
	}
}

textures/nintendo-land/spiderweb
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/spiderweb.tga
		blendfunc blend
	}
}

textures/nintendo-land/ropebridge
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/ropebridge.tga
		blendfunc blend
		depthWrite
	}
}


textures/nintendo-land/boardedup
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/boardedup.tga
		blendfunc blend
	}
}

textures/nintendo-land/tv
{
	surfaceparm nolightmap
	portal
	{
		map textures/common/invisible.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}


textures/nintendo-land/tornado1
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	deformVertexes autosprite
	{
		animMap 10 textures/nintendo-land/tornado1.tga textures/nintendo-land/tornado2.tga textures/nintendo-land/tornado3.tga textures/nintendo-land/tornado4.tga textures/nintendo-land/tornado5.tga textures/nintendo-land/tornado6.tga
		blendfunc blend
	}
}
textures/nintendo-land/tornado2
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	deformVertexes autosprite
	{
		animMap 10 textures/nintendo-land/tornado6.tga textures/nintendo-land/tornado1.tga textures/nintendo-land/tornado2.tga textures/nintendo-land/tornado3.tga textures/nintendo-land/tornado4.tga textures/nintendo-land/tornado5.tga
		blendfunc blend
	}
}
textures/nintendo-land/tornado3
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	deformVertexes autosprite
	{
		animMap 10 textures/nintendo-land/tornado5.tga textures/nintendo-land/tornado6.tga textures/nintendo-land/tornado1.tga textures/nintendo-land/tornado2.tga textures/nintendo-land/tornado3.tga textures/nintendo-land/tornado4.tga
		blendfunc blend
	}
}

///////////////////////////PAPER MARIO SPECIFIC///////////////////////////

textures/nintendo-land/smallbush1
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo-land/smallbush1.tga
		blendfunc blend
		depthWrite
	}
}

textures/nintendo-land/smallbush2
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo-land/smallbush2.tga
		blendfunc blend
		depthWrite
	}
}

textures/nintendo-land/bigbush1
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/nintendo-land/bigbush1.tga
		blendfunc blend
		depthWrite
	}
}

textures/nintendo-land/bigbush2
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/nintendo-land/bigbush2.tga
		blendfunc blend
		depthWrite
	}
}

textures/nintendo-land/pmariofoliage
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans

	{
		map textures/nintendo-land/pmariofoliage.tga
		blendfunc blend
		depthWrite
	}
}

textures/nintendo-land/pmariofence
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/nintendo-land/pmariofence.tga
		blendfunc blend
		depthWrite
	}
}


textures/nintendo-land/treetrunk
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo-land/treetrunk.tga
		blendfunc blend
		depthWrite
	}
}

textures/nintendo-land/luigi
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo-land/luigi.tga
		blendfunc blend
		depthWrite
	}
}

textures/nintendo-land/mariosign
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/nintendo-land/mariosign.tga
		blendfunc blend
		depthWrite
	}
}

///////////////////////////////DECORATIONS////////////////////////////////

textures/nintendo-land/tree
{
	q3map_surfacelight 600
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo-land/tree.tga
		blendfunc blend
		depthwrite
	}
}

textures/nintendo-land/nut
{
	q3map_surfacelight 600
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo-land/nut.tga
		blendfunc blend
	}
}

textures/nintendo-land/heart
{
	q3map_surfacelight 600
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo-land/heart.tga
		blendfunc blend
	}
}

textures/nintendo-land/bombs
{
	q3map_surfacelight 600
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo-land/bombs.tga
		blendfunc blend
	}
}

textures/nintendo-land/bag
{
	q3map_surfacelight 600
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo-land/bag.tga
		blendfunc blend
	}
}

textures/nintendo-land/bigleaf
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/bigleaf.tga
		blendfunc blend
	}
}

textures/nintendo-land/decoration_spikeleaves
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/decoration_spikeleaves.tga
		blendfunc blend
	}
}

textures/nintendo-land/decoration_leavesupsidedown
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/decoration_leavesupsidedown.tga
		blendfunc blend
	}
}

textures/nintendo-land/fence
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/fence.tga
		blendfunc blend
	}
}

textures/nintendo-land/vines2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/vines2.png
		blendfunc blend
	}
}

textures/nintendo-land/morevines
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/morevines.png
		blendfunc blend
	}
}

textures/nintendo-land/mushroom
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/mushroom.png
		blendfunc blend
	}
}

textures/nintendo-land/decoration_vleaves
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo-land/decoration_vleaves.tga
		blendfunc blend
	}
}

////////////////////////////////COPIED SHADERS/////////////////////////////

//Water is a copy of "voda" from mission_one_b7
//Credit goes to the maker of that map!

textures/nintendo-land/water
{
  surfaceparm water
  surfaceparm nolightmap
  cull side
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/nintendo-land/water.png
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }
  {
    map textures/nintendo-land/water.png
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }
}

//Borrowed from Karith
//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/
textures/nintendo-land/plainglass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/nintendo-land/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}
